getLatestBlockNumber
POST/infotype
getLatestBlockNumberCheck node liveness or read the current block height.
Request body
typestringrequired
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
-H "Content-Type: application/json" \
-H "x-api-version: 2026-08-16" \
-d '{
"type": "getLatestBlockNumber"
}'Try it
Response · GetLatestBlockNumberResponse 200
codeinteger
`0` on success.
dataGetLatestBlockNumberResponse
blockNumberinteger · int64nullable
Latest global block number, or null when no blocks are available yet.
successboolean
`false` on error, with `code` set and the text in `message` instead of `data`.
Response example
{
"success": true,
"code": 0,
"data": {
"blockNumber": 0
}
}